package com.android.chmo.ui.view;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ImageView;

public class RecyclableImageView extends ImageView {

    public RecyclableImageView(Context context) {
        super(context);
    }
    public RecyclableImageView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    @Override
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        // 从屏幕中消失时回调,加快内容回收
        setImageDrawable(null);
    }
}
